<mamecheat version="1">

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@80D8=06</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mb@1636</action>
      <action>temp1 =maincpu.ob@1839</action>
      <action>temp2 =maincpu.ob@3310</action>
    </script>
    <script state="run">
      <action>maincpu.mb@1636=00</action>
      <action>maincpu.ob@1839=18</action> <!-- Pt 1 Windows, Pt 2 Knocking Objects -->
      <action>maincpu.ob@3310=18</action> <!-- Ouch! Objects -->
    </script>
    <script state="off">
      <action>maincpu.mb@1636=temp0 </action>
      <action>maincpu.ob@1839=temp1 </action>
      <action>maincpu.ob@3310=temp2 </action>
    </script>
  </cheat>

  <cheat desc="Select Starting Building">
    <parameter>
      <item value="0x00">1 - Nichibutsu</item>
      <item value="0x01">2 - Nichibutsu Leisure</item>
      <item value="0x02">3 - Nichibutsu USA Co. Ltd</item>
      <item value="0x03">4 - Nichibutsu UK. Limited</item>
    </parameter>
    <script state="run">
      <action condition="(maincpu.pb@80DF==00)">maincpu.pb@80DF=param</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bonus">
    <script state="on">
      <action>temp0 =maincpu.pb@80E5</action>
    </script>
    <script state="run">
      <action condition="(frame % 300 == 0) AND (maincpu.pb@80E5!=temp0 )">maincpu.pb@80E5=89</action>
    </script>
  </cheat>

  <cheat desc="No Closing Windows">
    <script state="run">
      <action>maincpu.pb@82AD=FF</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Sound Test (use ingame only)"> <comment>Use with Invincibility for the Best Effect</comment>
    <parameter min="1" max="6" step="1"/>
    <script state="change">
      <action>maincpu.pb@8000=00</action> <!-- Place in Track -->
      <action condition="(param==1)">maincpu.pb@8001=45</action> <!-- Track Numbers -->
      <action condition="(param==2)">maincpu.pb@8001=48</action> <!-- Track Numbers -->
      <action condition="(param==3)">maincpu.pb@8001=49</action> <!-- Track Numbers -->
      <action condition="(param==4)">maincpu.pb@8001=4C</action> <!-- Track Numbers -->
      <action condition="(param==5)">maincpu.pb@8001=4E</action> <!-- Track Numbers -->
      <action condition="(param==6)">maincpu.pb@8001=4F</action> <!-- Track Numbers -->
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
